export default {
  props: {
    orderInfo: {
      type: Object,
      default: () => ({})
    },
    orderType: {
      type: Number,
      default: null
    },
  },
  data(){
    return {
      disabled: false
    }
  },
  methods:{
    acquireVerify(v, name) {
      if (v.$parent[name]) {
        return v.$parent[name]
      } else {
        return this.acquireVerify(v.$parent, name)
      }
    },
    lockBtn(){
      this.disabled = true
      setTimeout(()=>{
        this.disabled = false
      }, 5000)
    },
    unlockBtn(){
      this.disabled = false
    },
  }
}
